Bug 389351 - Look and feel theme is not immediately applied to "Get new looks..." button
Summary: Look and feel theme is not immediately applied to "Get new looks..." button
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: general (show other bugs)
Version: 5.11.95
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-23 20:03 UTC by Patrick Silva
Modified: 2018-01-26 15:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.0


Attachments
demonstration (120.70 KB, image/png)
2018-01-23 20:03 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-01-23 20:03:46 UTC
Created attachment 110079 [details]
demonstration

open system settings > workspace theme > look and feel

"Get new looks..." button continues using previous theme after I change from breeze dark to breeze or vice-versa. Reopen "Look and feel" kcm fixes the bug.
Ny screenshot taken on Arch Linux running plasma 5.12 beta shows the button after I changed from breeze to breeze dark.
Comment 1 Kai Uwe Broulik 2018-01-23 21:27:20 UTC
Bug in QtQuick Controls 1 and likely to never be fixed (unless we move to QQC2 with desktop style where we have control over the stack and can actually fix things). I'll have a brief look tomorrow but when I cannot find a straight-forward solution (which I doubt) then I'll close this as upstream.
Comment 2 Nate Graham 2018-01-23 23:14:10 UTC
We'll need to move to QQC2 eventually anyway because of the text bug that's visible in the screenshot.
Comment 3 Kai Uwe Broulik 2018-01-26 15:23:30 UTC
Git commit 900a334e72a7f334361fe8857d9a1144fdf52f46 by Kai Uwe Broulik.
Committed on 26/01/2018 at 14:53.
Pushed by broulik into branch 'Plasma/5.12'.

[Look and feel KCM] Destroy and recreate GHNS button when palette changes
FIXED-IN: 5.12.0

Differential Revision: https://phabricator.kde.org/D10067

M  +18   -5    kcms/lookandfeel/package/contents/ui/main.qml

https://commits.kde.org/plasma-desktop/900a334e72a7f334361fe8857d9a1144fdf52f46